LINUX.ORG.RU

Проблема с пакетом

 ,


0

1

Внезапно появилась ошибка во время компиляции: /usr/bin/ld: cannot find -lGL

Смотрю вот:

apt-file search libGL.so.1.2.0
libgl1-mesa-glx: /usr/lib/x86_64-linux-gnu/mesa/libGL.so.1.2.0

sudo apt install libgl1-mesa-glx
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libgl1-mesa-glx is already the newest version (11.2.0-1ubuntu2.2).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

ls /usr/lib/x86_64-linux-gnu/mesa/libGL.so.1.2.0
ls: cannot access '/usr/lib/x86_64-linux-gnu/mesa/libGL.so.1.2.0': No such file or directory

ls -l /usr/lib/x86_64-linux-gnu/mesa/*
-rw-r--r-- 1 root root 31 Aug 12 01:49 /usr/lib/x86_64-linux-gnu/mesa/ld.so.conf
lrwxrwxrwx 1 root root 14 Aug 12 01:49 /usr/lib/x86_64-linux-gnu/mesa/libGL.so -> libGL.so.1.2.0

Что бы его сделать

Ответ на: комментарий от Radjah

Спасибо это помогло

Ничего вручую в обход пакетного менеджера не ставил случаем?

Нет. Последне что ставил было для сборки крусадера из их ридми (выловил из истории):

sudo apt install plasma-framework libc6 libgcc1 libqt5dbus5 libqt5xml5 libqt5core5 libqt5gui5 libqt5printsupport5 libstdc++6 zlib1g  
sudo apt install plasma-framework libc6 libgcc1 libqt5dbus5 libqt5xml5 libqt5core5a libqt5gui5 libqt5printsupport5 libstdc++6 zlib1g  
sudo apt install extra-cmake-modules 
sudo apt install qt5-default 
sudo apt install plasma-framework-dev
sudo apt install kio-dev 
sudo apt install libkf5archive-dev libkf5parts-dev libkf5wallet-dev libkf5xmlgui-dev kdoctools-dev
sudo apt install krusader-devel

LinuxDebian ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.